HKC_HKC = "Honor Kills Counter";
HKC_VERSION = GetAddOnMetadata("HKCounter", "Version");
HKC_CMD = "/hkc";
HKC_LOGINMSG = "|c00ffff00"..HKC_HKC.."|r v|c0000ffff"..HKC_VERSION.."|r AddOn loaded.  |c0000ff00"..HKC_CMD.."|r for command list";

HKC_ALTERAC_VALLEY = "Alterac Valley";
HKC_WARSONG = "Warsong Gulch";

HKC_RESET = "HKC daily counter reset; Yesterday's estimated honor was ";
HKC_ENDBG = "|c00ffff00%s|r ended.  Time Elapsed: |c0000ffff%i|r minutes";
HKC_ENDBG2 = "|c0000adefAlliance|r premade score: |c0000ffff%i|r   |c00ff1919Horde|r premade score: |c0000ffff%i|r";
HKC_ENDBG3 = "|c0000adefAlliance|r AFKers: |c0000ffff%i|r   |c00ff1919Horde|r AFKers: |c0000ffff%i|r";
HKC_ENDBG4 = "Honor gained: |c0000ffff%s|r   (from kills: |c0000ffff%s|r;  bonus honor: |c0000ffff%s|r)";
HKC_EXIT_HISTORY1 = "|c00ffffff%s|r: Left %s";
HKC_EXIT_HISTORY2 = "Time: |c0000ffff%i|rm;  Honor Gained: |c0000ffff%s|r"
HKC_KILLSTODAYTEXT = " kills today";
HKC_NEVERKILLED = "never killed today";
--HKC_HONORGAIN1 = "^(.+)%s+dies%, honorable kill Rank: (.+) %(([%d%.]+) Honor Points%)$";
HKC_HONORGAIN1 = "^(.+)%s+dies%, honorable kill Rank: (.+) %(Estimated Honor Points: (%d+)%)$";
HKC_HONORGAIN2 = "^You have been awarded ([%d%.]+) honor points%.$";
HKC_HONORGAIN3 = "^(.+)%s+dies%, honorable kill %(([%d%.]+) Honor Points%)$";
HKC_HONORGAIN4 = "^You receive currency: Honor Points%.";
HKC_HONORGAIN5 = "^You receive currency: Honor Points x(%d+)%.";
HKC_DISHONOR = "^(.+)%s+dies%, dishonorable kill%.$";
HKC_DISHONORWARNING = "Warning: Dishonorable Kill (";
HKC_ERRORMSG = "HKC Error: unrecognized honor gain msg '";
HKC_KILLMSG = "|c00ffff00%s|r kills today: |c00ffff00%i|r  Rank: %s  Est Honor: |c0000ffff%s|r";
HKC_ENTERED = "|c00ffffff%s|r: Entered %s";
--HKC_NOHONOR = "These people no longer give you honor for today";
HKC_LIFETIMEKILLSMSG = "You killed %s %s times since HKC was installed.";
HKC_FORCERESET_SYNTAX = "Command syntax: \"/hkc forcereset day\" or \"/hkc forcereset week\"";
HKC_LAST = "last";
HKC_AVGHONOR = "Avg Honor:";
HKC_AVGTIME = "Avg Time:";
HKC_AVGHONORHOUR = "Avg Honor/Hour:";
HKC_WINLOSS = "Lifetime Win/Loss Record:";
HKC_PEOPLEKILLEDTODAY = "You killed |c0000ffff%i|r people today.";
HKC_PEOPLEKILLEDLIFETIME = "You killed |c0000ffff%i|r people on %s since HKC install.";
HKC_SUMNOHONOR = "|c0000ffff%i|r players will no longer give you honor today.";
HKC_TOP10TODAY = "Today's Most Killed Top 10";
HKC_TOP10TOTAL = "Total Most Killed Top 10";
HKC_HKCTODAYEST = "Today's Estimated Honor:";
HKC_BEFOREDIMINISHING = "Before Diminishing Returns:";
HKC_KILLHONOR = "Honor from kills in current BG:";
HKC_BONUSHONOR = "Total honor from current BG:"
HKC_FROMBG = "Combined:";
--HKC_RESETHISTORY = "|c00ff2222Counter Reset;  Est.:|r %i";

HKC_LAST_50 = "|c0000ffff%i|r records saved.  Displaying last |c0000ffff%i|r:";
HKC_LEFT_EARLY = "Left before match ended";
HKC_JOINED_LATE = "(joined late)";
HKC_SCORE = "score";
HKC_MATCHES = "matches";
HKC_ALLIANCE = "|c0000adef"..FACTION_ALLIANCE.."|r";
HKC_HORDE = "|c00ff1919"..FACTION_HORDE.."|r";
HKC_PREMADE_SCORE = " premade score: ";
HKC_WON = " won";
HKC_AFKERS = " AFKers: "
HKC_RATING_CHANGE = "Rating Change";
HKC_RATED = "Rated";
HKC_SERVER_LABEL = "Server";

HKC_DROPDOWN_LABELS = { "BG Statistics", "Bonus History", "Kills", "Standings", "Arena History", "Configure" };
HKC_TABLE = "Table";


-- Configure Options

-- note to translators: don't change the "value" fields
HKC_CONFIG_OPTIONS = {
	[1] = {
		["name"] = "Show BG Exit Messages",
		["tooltip"] = "Show chat window messages when you exit battlegrounds",
		["value"] = "chatMessages",
	},
	[2] = {
		["name"] = "Show HK Chat Messages",
		["tooltip"] = "Show chat window messages when you kill players",
		["value"] = "chatMessagesHK",
	},
	[3] = {
		["name"] = "Show On Click Message",
		["tooltip"] = "Show the number of times you have killed the target when clicking on opponents",
		["value"] = "onClickMsg",
	},
	[4] = {
		["name"] = "Do Not Open with PvP Frame",
		["tooltip"] = "Prevent the HKC window from opening automatically when you display the PvP window",
		["value"] = "doNotOpen",
	},
	[5] = {
		["name"] = "Enable Movable Frame",
		["tooltip"] = "Allow for the HKC frame to be movable/dragable.  Unchecking this will return the frame to the default anchor.",
		["value"] = "movableFrame",
	},
	[6] = {
		["name"] = "Show Kills in Tooltip",
		["tooltip"] = "Show the number of times you have killed the target for the day in the mouseover tooltip.",
		["value"] = "tooltipKills",
	},
};

HKC_MAX_RECORDS = "Max BG Records";
HKC_MAX_RECORDS_TOOLTIP = "The maximum number of battleground records to store in memory for each battleground";
HKC_MAX_ARENA_RECORDS = "Max Arena Records";
HKC_MAX_ARENA_RECORDS_TOOLTIP = "The maximum number of arena records to store in memory for each team size";
HKC_RESET_HOUR = "Reset Hour";
HKC_RESET_HOUR_TOOLTIP = "Hour of the day (in 0-23 format) at which time diminishing returns from kills reset on your server";

HKC_DELETE_LIFETIME = "Delete Lifetime\nKill History";
HKC_DELETE_LIFETIME_TOOLTIP = "Delete your lifetime kills history.  This can save a little memory.  (note: you must click this for each character to delete all histories)";
HKC_CONFIRM_DELETE_LIFETIME = "Really delete lifetime history?";


-- Table strings

HKC_TIME = "Time";
HKC_VICTOR = "Victors";
HKC_ELAPSED = "Duration";
HKC_GAINED = "Gained";
HKC_ASCORE = "A Scor";
HKC_HSCORE= "H Scor";
HKC_ALLIANCE_PREMADE = "A Prmd";
HKC_HORDE_PREMADE = "H Prmd";
HKC_ALLIANCE_AFK = "A AFK";
HKC_HORDE_AFK = "H AFK";
HKC_KBS = "KBs";
HKC_DEATHS = "Deaths";
HKC_HEALING = "Healing";
HKC_BRACKET_LABEL = "bracket";
HKC_TIME_FRAME = "Time frame:";
HKC_MONTH = "Month";
HKC_YEAR = "Year";
HKC_ALL_RECORDS = "All Records";
HKC_RECORDS_DISPLAYED_LABEL = "Records Displayed: ";
HKC_AVERAGES = "Sums/Averages: ";
HKC_OF = " of ";
HKC_TO = "to";

HKC_TIME_FRAME_TOOLTIP = "Display records in this time frame only";
HKC_ALL_RECORDS_TOOLTIP = "If unchecked, you may specify to display records coresponding to a specific time frame, otherwise all records will be displayed";

HKC_FILTER = {
	"Left Early",
	"Joined Late",
	"Alliance Wins",
	"Horde Wins",
	"Other Characters",
	"Duration Range",
	"Honor Range",
	"Alliance Premade Range",
	"Horde Premade Range",
	"Alliance AFKs",
	"Horde AFKs",
	"Minimum Killing Blows",
	"Minimum Damage",
	"Minimum Healing",
	"Time of Day",
	"Killing Blows Rank",
	"Damage Rank",
	"Healing Rank",
};
HKC_FILTER_TOOLTIP = {
	"Filter out records without victors",
	"Filter out matches that were already in progress upon entering",
	"Filter out Alliance victories",
	"Filter out Horde victories",
	"Filter out records played on other characters",
	"Only display records with a duration falling within this range",
	"Only display records with honor gained falling within this range",
	"Only dislpay records with an Alliance premade score falling within this range",
	"Only dislpay records with a Horde premade score falling within this range",
	"Only dislpay records with Alliance AFKs falling within this range",
	"Only dislpay records with Horde AFKs falling within this range",
	"Only dislpay records with at least this many Killing Blows",
	"Only dislpay records with at least this much Damage done",
	"Only dislpay records with at least this much Healing done",
	"Only display records recorded at specific hours of the day",
	"Only display records with a killing blow rank within this range",
	"Only display records with a damage rank within this range",
	"Only display records with a healing rank within this range",
};


-- Command line

HKC_HELP = {
	"|c00ffff00"..HKC_HKC.."|r v|c0000ffff"..HKC_VERSION.."|r command line options:",
	"|c0000ff00honor|r -- Output BG honor in the chat window",
	"|c0000ff00lookup [name]|r -- Show kill or standings data for name or current target",
	"|c0000ff00show|r -- Bring up the HKC window",
	"|c0000ff00info|r -- Show various statistics",
	"|c0000ff00zeroed|r -- List everyone who no longer give honor for the day",
	"|c0000ff00rank [#-#]|r -- Show the currently known players of the specified rank(s).  Inspect people to add to the data",
	"|c0000ff00standings [#-#]|r -- Show the currently known standings for this week.  Inspect people to add to the data",
	"|c0000ff00lastweek [#-#]|r -- Show the currently known standings for last week. (the people you inspected last week)",
	"|c0000ff00delete [# or name]|r -- Delete the data for the specified standing #; Enter the player name if standing is 0",
	"|c0000ff00forcereset [day or week]|r -- Force HKC to reset the daily counter or the weekly standings",
	"|c0000ff00plot [rank#]|r -- Plot rank advancement on a crude visual chart.  Requires inspection data",
	"|c0000ff00debug|r -- Toggle the display of debug information on/off",
};
